是否支持DotNet Core2.x框架

0 投票
157 浏览
背景:

现在项目使用开发框架是.Net Core2.1,属于console app,引用了两个超图平台DLL:SuperMap.Data.dll和SuperMap.Mapping.dll,环境安装了supermap-iobjectsdotnet-9.0.1-15628-65435-all下的Install_x86.bat,环境变量也设置了。

问题:

现在项目启动,抛出一个异常信息:

System.TypeInitializationException:“The type initializer for '<Module>' threw an exception.”
EntryPointNotFoundException: A library name must be specified in a DllImport attribute applied to non-IJW methods.

请问如何解决?是不是不兼容.Net Core框架?

谢谢
最新提问 8月 13 分类:  157次浏览 | 用户: leoterry (0 分)

1个回答

0 投票
您好!超图.Net组件是基于.FrameWork开发的,不支持.Net Core框架。
最新回答 8月 13 用户: 胡延南 名扬四海 (1,730 分)
请问有啥桥接方案?
您好!这个您在网上搜看有没有什么桥接的办法来解决,我们这边的技术人员都没用过.Net Core框架,无法帮到您哈~
...